package domain


type AlibabaWdkMerchantproductEditCatProps struct {
    /*
        类目属性ID     */
    PropertyId  *int64 `json:"property_id,omitempty" `

    /*
        类目属性名称     */
    PropertyText  *string `json:"property_text,omitempty" `

    /*
        类目值ID     */
    ValueId  *int64 `json:"value_id,omitempty" `

    /*
        类目值名称     */
    ValueText  *string `json:"value_text,omitempty" `

}

func (s *AlibabaWdkMerchantproductEditCatProps) SetPropertyId(v int64) *AlibabaWdkMerchantproductEditCatProps {
    s.PropertyId = &v
    return s
}
func (s *AlibabaWdkMerchantproductEditCatProps) SetPropertyText(v string) *AlibabaWdkMerchantproductEditCatProps {
    s.PropertyText = &v
    return s
}
func (s *AlibabaWdkMerchantproductEditCatProps) SetValueId(v int64) *AlibabaWdkMerchantproductEditCatProps {
    s.ValueId = &v
    return s
}
func (s *AlibabaWdkMerchantproductEditCatProps) SetValueText(v string) *AlibabaWdkMerchantproductEditCatProps {
    s.ValueText = &v
    return s
}
